<?php

namespace Emulator\Messages\Incoming\Handshake;

use Emulator\Messages\Incoming\ClientMessage;
use Emulator\Messages\Incoming\Header;
use Emulator\Messages\Incoming\IMessageEvent;
use Emulator\Messages\Outgoing\Handshake\AuthenticatedComposer;
use Emulator\Network\Game\Sessions\Session;
use Override;

class SecurityTicketMessageEvent implements IMessageEvent {
    #[Override] function handle(Session $session, ClientMessage $clientMessage): void {
        $session->sendComposer(new AuthenticatedComposer());
    }

    #[Override] function getHeader(): Header {
        return Header::ReleaseVersion;
    }
}