#!/bin/bash

clear

MIN_VERSION="8.3.0";
PHP_VERSION=$(php -v | head -n 1 | awk '{print $2}')

if [[ "$PHP_VERSION" < "$MIN_VERSION" ]]; then
  echo "Please make sure you have at least PHP ${MIN_VERSION}";
else
  php src/Boot.php
fi