<?php

namespace Emulator\Encoding;

class ByteEncoding {
    public static function getInt32(array $raw): int{

        return ($raw[0] << 24) | ($raw[1] << 16) | ($raw[2] << 8) | $raw[3];
    }

    public static function getInt16(array $raw): int {
        return (($raw[0] << 8) | $raw[1]);
    }

    public static function int32ToArray(int $value): array {
        return [$value >> 24, $value >> 16, $value >> 8, $value];
    }

    public static function int16ToArray(int $value): array {
        return [$value >> 8, $value];
    }
}