<?php

namespace Emulator\Messages\Outgoing;

enum Header : int {
case AchievementList = 305;
case Authenticated = 2491;
case Authentication = -1;
case AvailabilityStatus = 2033;
case ClubOffers = 2405;
case CatalogPage = 804;
case CatalogPageList = 1032;
case CatalogPurchaseOk = 869;
case CatalogPurchaseError = 1404;
case CatalogPurchaseNotAllowed = 3770;
case ProductOffer = 3388;
case LimitedSoldOut = 377;
case CatalogPublished = 1866;
case CfhResultMessage = 3635;
case ClientLatency = 10;
case ClientPing = 3928;
case DesktopView = 122;
case BundleDiscountRuleset = 2347;
case FirstLoginOfDay = 793;
case FurnitureAliases = 1723;
case FurnitureData = 2547;
case FurnitureFloor = 1778;
case FurnitureFloorAdd = 1534;
case FurnitureFloorRemove = 2703;
case FurnitureFloorUpdate = 3776;
case FurnitureItemdata = 2202;
case FurnitureState = 2376;
case FurnitureGroupContextMenuInfo = 3293;
case FurniturePostitStickyPoleOpen = 2366;
case GameCenterAchievements = 2265;
case GameCenterGameList = 222;
case GameCenterStatus = 2893;
case GameCenterInArenaQueue = 872;
case GameCenterStopCounter = 3191;
case GameCenterUserLeftGame = 3138;
case GameCenterDirectoryStatus = 2246;
case GameCenterStartingGameFailed = 2142;
case GameCenterJoiningFailed = 1730;
case Gamestatusmessage = 3805;
case Gameachievements = 1689;
case Gameinvite = 904;
case Joiningqueuefailed = 3035;
case Joinedqueuemessage = 2260;
case Leftqueue = 1477;
case LoadGameUrl = 2624;
case Loadgame = 3654;
case Unloadgame = 1715;
case Achievementresolutioncompleted = 740;
case Achievementresolutionprogress = 3370;
case Achievementresolutions = 66;
case GenericAlert = 3801;
case ModeratorMessage = 2030;
case GenericError = 1600;
case GiftWrapperConfig = 2234;
case GroupBadges = 2402;
case GroupCreateOptions = 2159;
case GroupForumData = 3011;
case GroupForumList = 3001;
case GroupForumThreads = 1073;
case GroupForumPost = 2049;
case GroupForumPostThread = 1862;
case GroupForumThreadMessages = 509;
case GroupForumUnreadCount = 2379;
case GroupForumUpdateMessage = 324;
case GroupForumUpdateThread = 2528;
case GroupInfo = 1702;
case GroupList = 420;
case GroupMember = 265;
case GroupMembers = 1200;
case GroupMembersRefresh = 2445;
case GroupMemberRemoveConfirm = 1876;
case GroupPurchased = 2808;
case GroupSettings = 3965;
case GroupBadgeParts = 2238;
case GroupMembershipRequested = 1180;
case GroupDetailsChanged = 1459;
case GroupHabboJoinFailed = 762;
case GuildEditFailed = 3988;
case GuildMemberMgmtFailed = 818;
case ItemDimmerSettings = 2710;
case ItemStackHelper = 2816;
case ItemWall = 1369;
case ItemWallAdd = 2187;
case ItemWallRemove = 3208;
case ItemWallUpdate = 2009;
case MarketplaceConfig = 1823;
case MessengerAcceptFriends = 896;
case MessengerChat = 1587;
case MessengerFindFriends = 1210;
case MessengerFollowFailed = 3048;
case MessengerFriendNotification = 3082;
case MessengerFriends = 3130;
case MessengerInit = 1605;
case MessengerInstanceMessageError = 3359;
case MessengerInvite = 3870;
case MessengerInviteError = 462;
case MessengerMinimailCount = 2803;
case MessengerMinimailNew = 1911;
case MessengerRelationships = 2016;
case MessengerRequest = 2219;
case MessengerRequestError = 892;
case MessengerRequests = 280;
case MessengerSearch = 973;
case MessengerUpdate = 2800;
case ModerationTool = 2696;
case ModerationUserInfo = 2866;
case MotdMessages = 2035;
case NavigatorCategories = 1562;
case NavigatorCollapsed = 1543;
case NavigatorEventCategories = 3244;
case NavigatorLifted = 3104;
case NavigatorMetadata = 3052;
case NavigatorOpenRoomCreator = 2064;
case NavigatorSearch = 2690;
case NavigatorSearches = 3984;
case NavigatorSettings = 518;
case ThumbnailUpdateResult = 1927;
case CanCreateRoom = 378;
case CategoriesWithVisitorCount = 1455;
case CompetitionRoomsData = 3954;
case ConvertedRoomId = 1331;
case GuestRoomSearchResult = 52;
case NotificationList = 1992;
case NotificationOfferRewardDelivered = 2125;
case NotificationSimpleAlert = 5100;
case NotificationElementPointer = 1787;
case PetFigureUpdate = 1924;
case PetInfo = 2901;
case PetTrainingPanel = 1164;
case PetLevelUpdate = 2824;
case PetScratchFailed = 1130;
case PetOpenPackageRequested = 2380;
case PetOpenPackageResult = 546;
case PetBreeding = 1746;
case PetConfirmBreedingResult = 1625;
case PetGoToBreedingNestFailure = 2621;
case PetNestBreedingSuccess = 2527;
case PetConfirmBreedingRequest = 634;
case PetBreedingResult = 1553;
case RecyclerPrizes = 3164;
case RecyclerStatus = 3433;
case RecyclerFinished = 468;
case RoomBanList = 1869;
case RoomBanRemove = 3429;
case RoomCreated = 1304;
case RoomDoorbell = 2309;
case RoomDoorbellAccepted = 3783;
case RoomDoorbellRejected = 878;
case RoomEnter = 758;
case RoomEnterError = 899;
case RoomForward = 160;
case RoomHeightMap = 2753;
case RoomHeightMapUpdate = 558;
case RoomInfo = 687;
case RoomInfoOwner = 749;
case RoomModel = 1301;
case RoomModelBlockedTiles = 3990;
case RoomModelDoor = 1664;
case RoomModelName = 2031;
case RoomMuted = 2533;
case RoomPaint = 2454;
case RoomPromotion = 2274;
case RoomQueueStatus = 2208;
case RoomRights = 780;
case RoomRightsClear = 2392;
case RoomRightsList = 1284;
case RoomRightsListAdd = 2088;
case RoomRightsListRemove = 1327;
case RoomRightsOwner = 339;
case RoomRolling = 3207;
case RoomScore = 482;
case RoomSettings = 1498;
case RoomSettingsChat = 1191;
case RoomSettingsSave = 948;
case RoomSettingsSaveError = 1555;
case RoomInfoUpdated = 3297;
case RoomSpectator = 1033;
case RoomThickness = 3547;
case RoomGetFilterWords = 2937;
case RoomMessageNotification = 1634;
case RoomPopularTagsResult = 2012;
case InfoFeedEnable = 3284;
case SecurityMachine = 1488;
case MysteryBoxKeys = 2833;
case Gotmysteryboxprizemessage = 3712;
case Cancelmysteryboxwaitmessage = 596;
case Showmysteryboxwaitmessage = 3201;
case TradeAccepted = 2568;
case TradeClosed = 1373;
case TradeCompleted = 1001;
case TradeConfirmation = 2720;
case TradeListItem = 2024;
case TradeNotOpen = 3128;
case TradeOpen = 2505;
case TradeOpenFailed = 217;
case TradeOtherNotAllowed = 1254;
case TradeYouNotAllowed = 3058;
case TradeNoSuchItem = 2873;
case Unit = 374;
case UnitChangeName = 2182;
case UnitChat = 1446;
case UnitChatShout = 1036;
case UnitChatWhisper = 2704;
case UnitDance = 2233;
case UnitEffect = 1167;
case UnitExpression = 1631;
case UnitHandItem = 1474;
case UnitIdle = 1797;
case UnitInfo = 3920;
case UnitNumber = 2324;
case UnitRemove = 2661;
case UnitStatus = 1640;
case UnitTyping = 1717;
case UnseenItems = 2103;
case UserAchievementScore = 1968;
case UserBadges = 717;
case UserBadgesAdd = 2493;
case UserBadgesCurrent = 1087;
case UserBots = 3086;
case UserChangeName = 118;
case UserClothing = 1450;
case UserCredits = 3475;
case UserCurrency = 2018;
case ActivityPointNotification = 2275;
case UserFavoriteRoom = 2524;
case UserFavoriteRoomCount = 151;
case UserFigure = 2429;
case UserFurniture = 994;
case UserFurnitureAdd = 104;
case UserFurniturePostitPlaced = 1501;
case UserFurnitureRefresh = 3151;
case UserFurnitureRemove = 159;
case UserHomeRoom = 2875;
case RoomEventCancel = 3479;
case RoomEvent = 1840;
case UserIgnored = 126;
case UserIgnoredResult = 207;
case UserInfo = 2725;
case UserPerks = 2586;
case UserPermissions = 411;
case UserPetAdd = 2101;
case UserPetRemove = 3253;
case UserPets = 3522;
case UserProfile = 3898;
case UserRespect = 2815;
case UserSanctionStatus = 3679;
case UserSettings = 513;
case UserSubscription = 954;
case UserWardrobePage = 3315;
case UserClassification = 966;
case GetUserTags = 1255;
case WiredAction = 1434;
case WiredCondition = 1108;
case WiredError = 156;
case WiredOpen = 1830;
case WiredReward = 178;
case WiredSave = 1155;
case WiredTrigger = 383;
case PlayingGame = 448;
case FurnitureState2 = 3431;
case RemoveBotFromInventory = 233;
case AddBotToInventory = 1352;
case AchievementProgressed = 2107;
case ModtoolRoomInfo = 1333;
case ModtoolUserChatlog = 3377;
case ModtoolRoomChatlog = 3434;
case ModtoolVisitedRoomsUser = 1752;
case ModeratorActionResult = 2335;
case IssueDeleted = 3192;
case IssueInfo = 3609;
case IssuePickFailed = 3150;
case CfhChatlog = 607;
case ModeratorToolPreferences = 1576;
case LovelockFurniStart = 3753;
case LovelockFurniFriendComfirmed = 382;
case LovelockFurniFinished = 770;
case GiftReceiverNotFound = 1517;
case GiftOpened = 56;
case FloodControl = 566;
case RemainingMute = 826;
case UserEffectList = 340;
case UserEffectListAdd = 2867;
case UserEffectListRemove = 2228;
case UserEffectActivate = 1959;
case AvatarEffectSelected = 3473;
case ClubGiftInfo = 619;
case RedeemVoucherError = 714;
case RedeemVoucherOk = 3336;
case InClientLink = 2023;
case BotCommandConfiguration = 1618;
case BotSkillListUpdate = 69;
case BotForceOpenContextMenu = 296;
case HandItemReceived = 354;
case PetPlacingError = 2913;
case BotError = 639;
case MarketplaceSellItem = 54;
case MarketplaceItemStats = 725;
case MarketplaceOwnItems = 3884;
case MarketplaceCancelSale = 3264;
case MarketplaceItemPosted = 1359;
case MarketplaceItemsSearched = 680;
case MarketplaceAfterOrderStatus = 2032;
case CatalogReceivePetBreeds = 3331;
case CatalogApproveNameResult = 1503;
case ObjectsDataUpdate = 1453;
case PetExperience = 2156;
case CommunityGoalVoteEvent = 1435;
case PromoArticles = 286;
case CommunityGoalEarnedPrizes = 3319;
case CommunityGoalProgress = 2525;
case ConcurrentUsersGoalProgress = 2737;
case QuestDaily = 1878;
case QuestCancelled = 3027;
case QuestCompleted = 949;
case CommunityGoalHallOfFame = 3005;
case EpicPopup = 3945;
case SeasonalQuests = 1122;
case Quests = 3625;
case Quest = 230;
case BonusRareInfo = 1533;
case CraftableProducts = 1000;
case CraftingRecipe = 2774;
case CraftingRecipesAvailable = 2124;
case CraftingResult = 618;
case CameraPublishStatus = 2057;
case CameraPurchaseOk = 2783;
case CameraStorageUrl = 3696;
case CameraSnapshot = 463;
case CompetitionStatus = 133;
case InitCamera = 3878;
case ThumbnailStatus = 3595;
case AchievementNotification = 806;
case ClubGiftNotification = 2188;
case InterstitialMessage = 1808;
case RoomAdError = 1759;
case AvailabilityTime = 600;
case HotelClosedAndOpens = 3728;
case HotelClosesAndOpensAt = 2771;
case HotelWillCloseMinutes = 1050;
case HotelMaintenance = 1350;
case JukeboxPlaylistFull = 105;
case JukeboxSongDisks = 34;
case NowPlaying = 469;
case OfficialSongId = 1381;
case Playlist = 1748;
case PlaylistSongAdded = 1140;
case TraxSongInfo = 3365;
case UserSongDisksInventory = 2602;
case CheckUserName = 563;
case CfhSanction = 2782;
case CfhTopics = 325;
case CfhSanctionStatus = 2221;
case CampaignCalendarData = 2531;
case CampaignCalendarDoorOpened = 2551;
case BuildersClubFurniCount = 3828;
case BuildersClubSubscription = 1452;
case CatalogPageExpiration = 2668;
case CatalogEarliestExpiry = 2515;
case ClubGiftSelected = 659;
case TargetOfferNotFound = 1237;
case TargetOffer = 119;
case DirectSmsClubBuy = 195;
case RoomAdPurchase = 2468;
case NotEnoughBalance = 3914;
case LimitedOfferAppearingNext = 44;
case IsOfferGiftable = 761;
case ClubExtendedOffer = 3964;
case SeasonalCalendarOffer = 1889;
case CompetitionEntrySubmit = 1177;
case CompetitionVotingInfo = 3506;
case CompetitionTimingCode = 1745;
case CompetitionUserPartOf = 3841;
//case CompetitionNoOwnedRooms = 2064;
case CompetitionSecondsUntil = 3926;
case BadgePointLimits = 2501;
case BadgeRequestFulfilled = 2998;
case HelperTalentTrack = 3406;
case TalentTrackLevel = 1203;
case TalentTrackLevelUp = 638;
case UserBanned = 1683;
case BotReceived = 3684;
case PetLevelNotification = 859;
case PetReceived = 1111;
case ModerationCaution = 1890;
case YoutubeControlVideo = 1554;
case YoutubeDisplayPlaylists = 1112;
case YoutubeDisplayVideo = 1411;
case CfhDisabledNotify = 1651;
case Question = 2665;
case PollContents = 2997;
case PollError = 662;
case PollOffer = 3785;
case PollRoomResult = 5201;
case PollStartRoom = 5200;
case QuestionAnswered = 2589;
case QuestionFinished = 1066;
case CfhPendingCalls = 1121;
case GuideOnDutyStatus = 1548;
case GuideSessionAttached = 1591;
case GuideSessionDetached = 138;
case GuideSessionEnded = 1456;
case GuideSessionError = 673;
case GuideSessionInvitedToGuideRoom = 219;
case GuideSessionMessage = 841;
case GuideSessionPartnerIsTyping = 1016;
case GuideSessionRequesterRoom = 1847;
case GuideSessionStarted = 3209;
case GuideTicketCreationResult = 3285;
case GuideTicketResolution = 2674;
case GuideReportingStatus = 3463;
case HotelMergeNameChange = 1663;
case IssueCloseNotification = 934;
case QuizData = 2927;
case QuizResults = 2772;
case CfhPendingCallsDeleted = 77;
case CfhReply = 3796;
case ChatReviewSessionDetached = 30;
case ChatReviewSessionOfferedToGuide = 735;
case ChatReviewSessionResults = 3276;
case ChatReviewSessionStarted = 143;
case ChatReviewSessionVotingStatus = 1829;
case ScrSendKickbackInfo = 3277;
case PetStatus = 1907;
case GroupDeactivate = 3129;
case PetRespected = 2788;
case PetSupplement = 3441;
case NoobnessLevel = 3738;
case DisconnectReason = 4000;
case CanCreateRoomEvent = 2599;
case FavoriteGroupUdpate = 3403;
case NoSuchFlat = 84;
case RoomSettingsError = 2897;
case ShowEnforceRoomCategory = 3896;
case CustomUserNotification = 909;
case NewUserExperienceGiftOffer = 3575;
case RestoreClient = 426;
case FireworkChargeData = 5210;
case NewUserExperienceNotComplete = 3639;
case ConnectionError = 1004;
case AccountSafetyLockStatusChange = 1243;
case PhoneCollectionState = 2890;
case PhoneTryNumberResult = 800;
case PhoneTryVerificationCodeResult = 91;
case ExtendedProfileChanged = 876;
case WelcomeGiftChangeEmailResult = 2293;
case WelcomeGiftStatus = 2707;
case HandshakeInitDiffie = 1347;
case HandshakeCompleteDiffie = 3885;
case RentableSpaceRentOk = 2046;
case RentableSpaceStatus = 3559;
case RentableSpaceRentFailed = 1868;
case EmailStatus = 612;
case ChangeEmailResult = 1815;
case WeeklyGameReward = 2641;
case WeeklyGameRewardWinners = 3097;
case WeeklyCompetitiveLeaderboard = 3512;
case WeeklyCompetitiveFriendsLeaderboard = 3560;
case WeeklyGame2FriendsLeaderboard = 2270;
case WeeklyGame2Leaderboard = 2196;
case RentableFurniRentOrBuyoutOffer = 35;
case HandshakeIdentityAccount = 3523;
}
